> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/s2s/tracking-events/products-array.md).

# Products Array

This describes the common items model used in various events

Copy

```
/* PRODUCTS ARRAY */
[
    {
        item_id: '<mandatory - item_id>',
        item_name: '<mandatory - name of item>',
        item_sku: '<mandatory - style id of item>',
        variant_id: '<optional - variant_id>',
        index: 0, // order of item in array 0,1,2,3...
        // price - mandatory - float price - DO NOT MULTIPLY with quantity. 
        // price - set value after discount
        price: 123.33,
        discount: 12, // optional - set the discount value for item
        quantity: 2, // quantity of item
        item_brand: '<optional - brand>', // if not available leave undefined
        item_category: '<optional - category>', // if not available leave undefined
        options: {
             // optional - options can be used to provide any additional product attributes
        }
    }
]
```

[<br>](https://magic-pixel.gitbook.io/ingest-labs-implementation/s2s/tracking-events/purchase)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/implementation/s2s/tracking-events/products-array.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
